<?xml version="1.0" encoding="utf-8" ?>
<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2" assembly="Domain" namespace="Domain">
    <class name="RoomTypeWXMenus" table="tb_RoomTypeWXMenus">
        <id name="ID" column="ID" type="int" unsaved-value="0">
            <generator class="native" />
        </id>
        <many-to-one name="RoomType" column="RoomTypeID" class="RoomType" cascade="none" foreign-key="tb_RoomTypeWXMenus_tb_RoomType" />
        <property name="Code" column="Code" type="string"  />
        <property name="Name" column="Name" type="string"  />
        <property name="EName" column="EName" type="string"  />
        <property name="TWName" column="TWName" type="string"  />
        <property name="Class" column="Class" type="string"  />
        <property name="Sort" column="Sort" type="int"  />
        <property name="ActiveIndicator" column="ActiveIndicator" type="bool"  />
        <property name="TakePower" column="TakePower" type="bool"  />
    </class>
</hibernate-mapping>
